Subject: bash path search bug & workarounds
From: [email-masked] ("Vassilii Khachaturov")

28 May 1997 22:33:24 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: gnu-win32 <[email-masked]>
Encoding: 40 TEXT
X-Mailer: Microsoft Mail V3.0
Original-Sender: [email-masked]

I have both BC5 and gnu-win32 installed on my NT4.
The gnu-win32 executables come before BC5 in my path.

I wanted to create such an environment in which
     in CMD -- GREP.COM and MAKE.EXE from BC
     in bash -- gnu grep & make
would start up when I simply type "grep" and "make".

Solution for Grep (works):
     I moved the gnu grep.exe to ggrep.exe
and created a symbolic link 'grep' to the ggrep.exe.
The link was on my search path, before BC5.
Thus, bash started up the gnu grep,
and NT was stupid enough to ignore the symlink and proceed further
along the path to the BC5's GREP.COM

Solutions for Make (all didn't work!)
     I moved the gnu make.exe to gmake.exe
and created a symbolic link 'make' to   it, just the same way as with grep.
Then... both bash and cmd invoked the BC5 MAKE.EXE when I typed 'make',
ALTHOUGH MAKE.EXE WAS ON MY PATH *after* the link to GMAKE.EXE !!!

I also tried to replace the link with a shell script called `make '
that simply passed its params to gmake. It also didn't work!
(as understood, I tested in the both cases that as long as I rename the
link/script from `make' to, say, `m', then 'm' does get found on the path!

In my case, there are two working solutions:
     either remove the BC5 dir. from the path in .bashrc,
     or alias make=gmake.

Nevertheless, it seems like that's a bash/cygwin.dll bug.

Your
     BACbKA
 --
Vassilii Khachaturov
[email-masked]
Skribu al mi per Esperanto!
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".